<?php
 
 
 

namespace PhpWA\Protocol\Proto\SyncActionValue;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class MuteAction extends \Google\Protobuf\Internal\Message
{
    


    protected $muted = null;
    


    protected $muteEndTimestamp = null;
    


    protected $autoMuted = null;

    










    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getMuted()
    {
        return isset($this->muted) ? $this->muted : false;
    }

    public function hasMuted()
    {
        return isset($this->muted);
    }

    public function clearMuted()
    {
        unset($this->muted);
    }

    




    public function setMuted($var)
    {
        GPBUtil::checkBool($var);
        $this->muted = $var;

        return $this;
    }

    



    public function getMuteEndTimestamp()
    {
        return isset($this->muteEndTimestamp) ? $this->muteEndTimestamp : 0;
    }

    public function hasMuteEndTimestamp()
    {
        return isset($this->muteEndTimestamp);
    }

    public function clearMuteEndTimestamp()
    {
        unset($this->muteEndTimestamp);
    }

    




    public function setMuteEndTimestamp($var)
    {
        GPBUtil::checkInt64($var);
        $this->muteEndTimestamp = $var;

        return $this;
    }

    



    public function getAutoMuted()
    {
        return isset($this->autoMuted) ? $this->autoMuted : false;
    }

    public function hasAutoMuted()
    {
        return isset($this->autoMuted);
    }

    public function clearAutoMuted()
    {
        unset($this->autoMuted);
    }

    




    public function setAutoMuted($var)
    {
        GPBUtil::checkBool($var);
        $this->autoMuted = $var;

        return $this;
    }

}

